---
title: Get device settings - iOS only
slug: cps-guide/mdm-epmm/get-device-settings-ios-only
createdAt: 2026-10-06T07:45:20.704Z
---

This API returns values for data roaming and personal hotspot received on the last device check in. If you would like the most up to date value, then include a [Force checkin](docId\:OJ8M9vKyywJWQuVi3FfAE) call in your work-flow. The supported settings are:

- Personal hotspot
- Data roaming

## HTTP Method

POST

## Request URI

/msa/v1/cps/device/getDeviceSettings

## Request parameters

| Parameter    | Description                                                                                                                                                                                                                                 | Sample Value                                                                                                                                                                                                                                  |
| ------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| identifiers  | Required<br />Parameter Type: Request body<br />**Data Type:** String<br />List of UEM identifiers in this format:<br />\{<br />"identifiers":\["mdm-id-1", "mdm-id-2"]<br />}<br />See [List of identifiers](docId:0FgXpF4sPOcu6M7eESvy1). | <br />`{`<br />`     "settingsType": "DATA_ROAMING",  `<br />`    "identifiers": [`<br />`         "b9a0d7d05fb4204f52264f805932526b848ca61d",  `<br />`        "a9a0d7d05fb4204f52264f805932526b848ca61d"`<br />`    ]`<br />`}`<br /><br /> |
| settingsType | Required<br />Parameter Type: Request body<br />**Data Type:** String<br />The settings to retieve. Can be:<br />- PERSONAL\_HOTSPOT<br />- DATA\_ROAMING                                                                                   | <br />`{`<br />`     "settingsType": "DATA_ROAMING",  `<br />`    "identifiers": [`<br />`         "b9a0d7d05fb4204f52264f805932526b848ca61d",  `<br />`        "a9a0d7d05fb4204f52264f805932526b848ca61d"`<br />`    ]`<br />`}`             |

## Response fields

API returns the count of devices for which attributes were successfully updated along with HTTP status 200.

See [Number result](docId:0FgXpF4sPOcu6M7eESvy1).

## Example request

```javascript
POST /msa/v1/cps/device/settings
{
    "settingsType": "DATA_ROAMING", 
    "identifiers": [
        "b9a0d7d05fb4204f52264f805932526b848ca61d", 
        "a9a0d7d05fb4204f52264f805932526b848ca61d"
    ]
}
```

## Example response

```javascript
{
    "settings": [
        {
            "identifier": "b9a0d7d05fb4204f52264f805932526b848ca61d", 
            "settings": {
                "type": "DATA_ROAMING", 
                "value": {
                    "enabled": false
                }
            }
        }, 
        {
            "identifier": "a9a0d7d05fb4204f52264f805932526b848ca61d", 
            "settings": {
                "type": "DATA_ROAMING", 
                "value": {
                    "enabled": true
                }
            }
        }
    ]
}
```

In case all the identifiers are invalid, then response code will still be 200, with an empty response body.
